Bug 341511 - multiarch conflicts in heartbeat
multiarch conflicts in heartbeat
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: heartbeat (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
: 228165 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 17:40 EDT by Bill Nottingham
Modified: 2014-03-16 23:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-24 14:04:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-19 17:40:18 EDT
heartbeat (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /etc/ha.d/shellfuncs from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/sbin/crm_sh from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat-gui/haclient.py from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat-gui/haclient.pyc from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat-gui/haclient.pyo from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat-gui/mgmtcmd.py from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat-gui/mgmtcmd.pyc from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat-gui/mgmtcmd.pyo from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/BasicSanityCheck from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/TestHeartbeatComm from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/CIB.py from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/CIB.pyc from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/CIB.pyo from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/CM_LinuxHAv2.py from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/CM_LinuxHAv2.pyc from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/CM_LinuxHAv2.pyo from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/CM_fs.pyc from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/CM_fs.pyo from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/CM_hb.py from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/CM_hb.pyc from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/CM_hb.pyo from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/CTS.pyc from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/CTS.pyo from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/CTSaudits.pyc from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/CTSaudits.pyo from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/CTSlab.py from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/CTSlab.pyc from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/CTSlab.pyo from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/CTSproxy.pyc from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/CTSproxy.pyo from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/CTStests.py from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/CTStests.pyc from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/CTStests.pyo from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/OCFIPraTest.pyc from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/OCFIPraTest.pyo from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/extracttests.pyc from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/cts/extracttests.pyo from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/lrmtest/LRMBasicSanityCheck from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/heartbeat/stonithdtest/STONITHDBasicSanityCheck from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/share/ocf/resource.d/heartbeat/.ocf-directories from install of heartbeat-2.1.2-2.fc8 conflicts with file from package heartbeat-2.1.2-2.fc8
  file /usr/include/pils/plugin.h from install of heartbeat-devel-2.1.2-2.fc8 conflicts with file from package pils-2.1.2-2.fc8
  file /usr/include/heartbeat/hb_config.h from install of heartbeat-devel-2.1.2-2.fc8 conflicts with file from package heartbeat-devel-2.1.2-2.fc8
  file /usr/include/pils/plugin.h from install of heartbeat-devel-2.1.2-2.fc8 conflicts with file from package heartbeat-devel-2.1.2-2.fc8
  file /usr/include/pils/plugin.h from install of pils-2.1.2-2.fc8 conflicts with file from package heartbeat-devel-2.1.2-2.fc8
  file /usr/include/pils/plugin.h from install of heartbeat-devel-2.1.2-2.fc8 conflicts with file from package pils-2.1.2-2.fc8
  file /usr/include/pils/plugin.h from install of pils-2.1.2-2.fc8 conflicts with file from package pils-2.1.2-2.fc8
  file /usr/include/pils/plugin.h from install of pils-2.1.2-2.fc8 conflicts with file from package heartbeat-devel-2.1.2-2.fc8

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.
Comment 1 Bug Zapper 2008-05-13 23:31:16 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Kevin Fenzi 2008-12-02 00:57:52 EST
*** Bug 228165 has been marked as a duplicate of this bug. ***
Comment 3 Bug Zapper 2009-06-09 19:00:52 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Kevin Fenzi 2009-06-09 23:31:32 EDT
This is much better now, but there are still some fixes needed.
Comment 5 Kevin Fenzi 2009-09-24 14:04:56 EDT
This has all been fixed in rawhide (finally), by splitting out a heartbeat-libs subpackage and having a lot of functionality move to the cluster-glue package. 

Feel free to reopen or file a new bug if you spot any further issues with it.

Note You need to log in before you can comment on or make changes to this bug.